# PSF-LoginServer - master - net.psforever.objects.geometry.d3.Sphere
PSF - LoginServer - master - net.psforever.objects.geometry.d3.Sphere
Keywords: PSF LoginServer master net.psforever.objects.geometry.d3.Sphere

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package geometry
  Definition Classes
    objects
-  package d3
  Definition Classes
    geometry
- Cuboid
- Cylinder
- Geometry3D
- Line
- Point
- Ray
- Segment
- Sphere
- VolumetricGeometry

o

net.psforever.objects.geometry.d3

# Sphere 

###
Companion class Sphere

#### object Sphere extends Serializable

Source
  Sphere.scala

Linear Supertypes
Serializable, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Sphere
2. Serializable
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def apply(v: Vector3, radius: Float): Sphere

   An overloaded constructor that uses vector coordinates to define the central point.

   An overloaded constructor that uses vector coordinates to define the central point.

   v

     the coordinates of the position

   radius

     a distance around the world origin coordinates

   returns

     a `Sphere` entity

5.  def apply(x: Float, y: Float, z: Float, radius: Float): Sphere

   An overloaded constructor that uses individual coordinates to define the central point.

   An overloaded constructor that uses individual coordinates to define the central point. * @param x the 'x' coordinate of the position * @param y the 'y' coordinate of the position * @param z the 'z' coordinate of the position

   radius

     a distance around the world origin coordinates

   returns

     a `Sphere` entity

6.  def apply(radius: Float): Sphere

   An overloaded constructor that only defines the radius of the sphere and places it at the world origin.

   An overloaded constructor that only defines the radius of the sphere and places it at the world origin.

   radius

     a distance around the world origin coordinates

   returns

     a `Sphere` entity

7.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
8.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
9.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
10.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
11.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
12.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
13.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
14.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
15.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
16.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
17.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
18.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
19.  def toString(): String
    Definition Classes
      AnyRef → Any
20.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
21.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
22.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped